--- old/usr/src/man/man1m/cfgadm_ac.1m	Sun Jan 26 03:35:14 2020
+++ /dev/null	Sun Jan 26 01:52:19 2020
@@ -1,310 +0,0 @@
-'\" te
-.\" Copyright (c) 1999 Sun Microsystems, Inc.  All Rights Reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH CFGADM_AC 1M "Sep 29, 1999"
-.SH NAME
-cfgadm_ac \- EXX00 memory system administration
-.SH SYNOPSIS
-.LP
-.nf
-\fB/usr/sbin/cfgadm\fR [\fB-c\fR configure] [\fB-f\fR]
-     [\fB-o\fR disable-at-boot | enable-at-boot ] ac\fI#\fR:bank\fI#\fR ...
-.fi
-
-.LP
-.nf
-\fB/usr/sbin/cfgadm\fR [\fB-c\fR unconfigure]
-     [\fB-o\fR disable-at-bootp | enable-at-boot ] ac\fI#\fR:bank\fI#\fR ...
-.fi
-
-.LP
-.nf
-\fB/usr/sbin/cfgadm\fR [\fB-v\fR]
-     [\fB-o\fR quick | normal | extended, [max_errors=\fI#\fR] ] \fB-t\fR ac\fI#\fR:bank\fI#\fR...
-.fi
-
-.LP
-.nf
-\fB/usr/sbin/cfgadm\fR \fB-x\fR relocate-test ac\fI#\fR:bank\fI#\fR ...
-.fi
-
-.LP
-.nf
-\fB/usr/sbin/cfgadm\fR [\fB-l\fR] \fB-o\fR disable-at-boot | enable-at-boot ac\fI#\fR:bank\fI#\fR ...
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBac\fR hardware specific library
-\fB/usr/platform/sun4u/lib/cfgadm/cfgadm_ac.so.1\fR provides the functionality
-for configuring and unconfiguring memory banks on \fBE6X00\fR, \fBE5X00\fR,
-\fBE4X00\fR and \fBE3X00\fR systems as part of the Dynamic Reconfiguration of
-\fBCPU\fR/Memory boards using \fBcfgadm_sysctrl\fR(1M).
-.sp
-.LP
-Memory banks appear as attachment points in the device tree. For each
-\fBCPU\fR/Memory board, two attachment points are published, one for each bank
-on the board: \fBbank0\fR and \fBbank1\fR. If the bank is unpopulated, the
-receptacle state is empty. If the bank is populated, the receptacle state is
-connected. The receptacle state of a memory bank can never be disconnected. The
-occupant state of a connected memory bank can be configured or unconfigured. If
-the occupant state is configured, the memory is in use by Solaris, if
-unconfigured it is not.
-.SH OPTIONS
-.sp
-.LP
-Refer to \fBcfgadm\fR(1M) for complete descriptions of the command options.
-.sp
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-c\fR configure | unconfigure\fR
-.ad
-.sp .6
-.RS 4n
-Change the occupant state. The \fBconfigure\fR argument ensures that the memory
-is initialized and adds the memory to the Solaris memory pool. The
-\fBunconfigure\fR argument removes the memory from use by Solaris. When a
-\fBCPU\fR/Memory board is to be removed from a system, both banks of memory
-must be unconfigured.
-.sp
-\fBcfgadm\fR refuses the \fBconfigure\fR operation if the memory on the board
-is marked \fBdisabled-at-boot\fR (see \fBinfo\fR field), unless either the
-\fB-f\fR (force) option or the enable at boot flag, (\fB-o\fR
-\fBenable-at-boot\fR), is given. The configure operation takes a short time
-proportional to the size of memory that must be initialized.
-.sp
-\fBcfgadm\fR refuses the \fBunconfigure\fR operation  if there is not enough
-uncommitted memory in the system (\fBVM viability\fR error) or if the bank to
-be unconfigured has memory that can't be removed (\fBnon-relocatable pages\fR
-error). The presence of non-relocatable pages is indicated by the word
-\fBpermanent\fR in the \fBinfo\fR listing field. Removing memory from use by
-Solaris may take a significant time due to factors such as system load and how
-much paging to secondary storage is required. The \fBunconfigure\fR operation
-can be cancelled at any time and the memory returned to the fully configured
-state by interrupting the command invocation with a signal. The
-\fBunconfigure\fR operation self-cancels if no memory can be removed within a
-timeout period. The default timeout period of \fB60\fR seconds can be changed
-using the \fB-o\fR \fBtimeout=\fR\fI#\fR option, with a value of \fB0\fR
-disabling the timeout.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.sp .6
-.RS 4n
-Force option. Use this option to override the block on configuring a memory
-bank marked as disabled at boot in the non-volatile \fBdisabled-memory-list\fR
-variable. See \fBPlatform Notes:Sun Enterprise 6x00/5x00/4x00/3x00 Systems\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR\fR
-.ad
-.sp .6
-.RS 4n
-List option. This option is supported as described in \fBcfgadm\fR(1M).
-.sp
-The type field is always \fImemory\fR.
-.sp
-The \fIinfo\fR field has the following information for empty banks:
-.sp
-.in +2
-.nf
-slot# empty
-.fi
-.in -2
-.sp
-
-The slot# indicates the system slot into which the CPU/Memory board is
-inserted. For example, if this were slot11 the attachment point for use with
-cfgadm to manipulate the associated board would be sysctrl0:slot11.   The info
-field has the following information for connected banks:
-.sp
-.in +2
-.nf
-slot# sizeMb|sizeGb [(sizeMb|sizeGb used)] base 0x###
-      [interleaved #-way] [disabled at boot] [permanent]
-.fi
-.in -2
-.sp
-
-The size of the bank is given in Mb or Gb as appropriate. If the memory is less
-than completely used, the used size is reported. The physical base address is
-given in hexadecimal. If the memory bank is interleaved with some other bank,
-the interleave factor is reported. If the memory on the board is disabled at
-boot using the non-volatile \fBdisabled-memory-list\fR variable, this is
-reported. If the bank has memory that cannot be removed this is reported as
-permanent.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR disable-at-boot | enable-at-boot\fR
-.ad
-.sp .6
-.RS 4n
-These options allow the state of the non-volatile disabled-memory-list variable
-to be modified. These options can be used in conjunction with the issuing of a
-\fB-c\fR option or with the explicit or implied listing command, -l, if no
-command is required. Use of \fB-o\fR \fBenable-at-boot\fR with the
-\fBconfigure\fR command to override the block on configuring memory on a board
-in the disabled memory list.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR extended | normal | quick\fR
-.ad
-.sp .6
-.RS 4n
-Use with the \fB-t\fR option to specify test level.
-.sp
-The \fBnormal\fR test level ensures that each memory cell stores both a \fB0\fR
-and a \fB1\fR, and checks that all cells are separately addressable. The
-\fBquick\fR test level only does the \fB0\fRs and \fB1\fRs test, and typically
-misses address line problems. The \fBextended\fR test uses patterns to test for
-adjacent cell interference problems.  The default test level is \fBnormal\fR.
-See \fB-t\fR option.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR max_errors=\fI#\fR\fR
-.ad
-.sp .6
-.RS 4n
-Use with the \fB-t\fR option to specify the maximum number of allowed errors.
-If not specified, a default of \fB32\fR is assumed.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR timeout=\fI#\fR\fR
-.ad
-.sp .6
-.RS 4n
-Use with the \fBunconfigure\fR command to set the self-cancelling timeout. The
-default value is \fB60\fR and the unit is seconds. A value of \fB0\fR means no
-timeout.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-t\fR\fR
-.ad
-.sp .6
-.RS 4n
-Test an unconfigured bank of memory. Specify the test level using the \fB-o\fR
-\fBquick\fR | \fBnormal\fR | \fBextended\fR option.
-.sp
-\fBcfgadm\fR exits with a \fB0\fR (success) if the \fBtest\fR was able to run
-on the memory bank. The result of the test is available in the condition for
-the attachment point.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.sp .6
-.RS 4n
-Verbose option. Use this option in combination with         the \fB-t\fR option
-to display detailed progress and results of tests.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-x\fR relocate-test\fR
-.ad
-.sp .6
-.RS 4n
-For all pages of memory in use on the specified memory bank, a relocation
-operation as used in the unconfigure command is attempted. The success of this
-operation does not guarantee that the bank can be unconfigured. Failure
-indicates that it probably cannot be unconfigured. This option is for test
-purposes only.
-.RE
-
-.SH OPERANDS
-.sp
-.LP
-The following operand is supported:
-.sp
-.ne 2
-.na
-\fB\fIac#\fR:\fIbank#\fR\fR
-.ad
-.RS 13n
-The attachment points for memory banks are published by instances of the
-address controller (\fBac\fR) driver (\fIac#\fR). One instance of the \fBac\fR
-driver is created for each system board, but only those instances associated
-with \fBCPU\fR/Memory boards publish the two bank attachment points, bank0 and
-bank1.
-.sp
- This form conforms to the logical \fBap_id\fR specification given in
-\fBcfgadm\fR(1M). The corresponding physical \fBap_id\fRs are listed in the
-\fBFILES\fR section.
-.sp
-The \fBac\fR driver instance numbering has no relation to the slot number for
-the corresponding board. The full physical attachment point identifier has the
-slot number incorporated into it as twice the slot number in hexadecimal
-directly following the \fBfhc@\fR part.
-.RE
-
-.SH FILES
-.sp
-.ne 2
-.na
-\fB/devices/fhc@*,f8800000/ac@0,1000000:bank?\fR
-.ad
-.sp .6
-.RS 4n
-attachment points
-.RE
-
-.sp
-.ne 2
-.na
-\fB/usr/platform/sun4u/lib/cfgadm/cfgadm_ac.so.1\fR
-.ad
-.sp .6
-.RS 4n
-hardware specific library file
-.RE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBcfgadm\fR(1M), \fBcfgadm_sysctrl\fR(1M),  \fBconfig_admin\fR(3CFGADM),
-\fBattributes\fR(5)
-.sp
-.LP
-\fBSun Enterprise 6x00, 5x00, 4x00 and 3x00 Systems Dynamic Reconfiguration
-User's Guide\fR
-.sp
-.LP
-\fBPlatform Notes:Sun Enterprise 6x00/5x00/4x00/3x00 Systems\fR
-.SH NOTES
-.sp
-.LP
-Refer to the \fBSun Enterprise 6x00, 5x00, 4x00 and 3x00 Systems Dynamic
-Reconfiguration User's Guide\fR for additional details regarding dynamic
-reconfiguration of EXX00 system CPU/Memory boards.
